[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBits.XorBits

Performs a xor operation on the bits.

## Declaration

Source position: classesh.inc line 408

`public procedure TBits.XorBits(`
`BitSet: TBits`
`);`

## Description

XorBits performs a xor operation on the bits in the array with the bits of array BitSet.

If BitSet contains less bits than the current array, then all bits which have no counterpart in BitSet are left untouched.

If the current array contains less bits than BitSet then it is grown to the size of BitSet before the xor operation is performed.

## Errors

None.

## See also

ClearAll |  | Clears all bits in the array.
andBits |  | Performs an and operation on the bits.
OrBits |  | Performs an or operation on the bits.
NotBits |  | Performs a not operation on the bits.